
Redmine - Defect #29608

Error in project settings 

2018-09-13 20:00 - suportebyte byte

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

Log-----------------------------------

Started GET "/projects/pw-google-ads/settings" for XX.XXX.XXX.XX at 2018-09-13 14:58:37 -0300

Processing by ProjectsController#settings as HTML

Parameters: {"id"=>"a-google-ads"}

Current user: ronaldo (id=11)

Rendered projects/_form.html.erb (40.2ms)

Rendered projects/_edit.html.erb (42.9ms)

Rendered common/_tabs.html.erb (53.4ms)

Rendered projects/settings.html.erb within layouts/base (60.0ms)

Completed 500 Internal Server Error in 125ms (ActiveRecord: 65.9ms)

ActionView::Template::Error (undefined method `default_assigned_to_id' for #<Project:0x0000000636c6e8>):

25: <% end >

26:

27: < if @project.safe_attribute?('default_assigned_to_id') && (default_assigned_to_options = project_default_assigned_to_options(

Herve Harster)).present? >

28:   <p><= f.select :default_assigned_to_id, default_assigned_to_options, include_blank: true ></p>

29: < end >

30:

31: <= wikitoolbar_for 'project_description' %>

lib/redmine/views/labelled_form_builder.rb:38:in `select'

app/views/projects/_form.html.erb:28:in `_app_views_projects__form_html_erb___727649912863728771_70196362953040'

app/views/projects/_edit.html.erb:2:in `block in app_views_projects_edit_html_erb___1043974415633454127_70196362940180'

app/helpers/application_helper.rb:1190:in `labelled_form_for'

app/views/projects/_edit.html.erb:1:in `_app_views_projects__edit_html_erb___1043974415633454127_70196362940180'

app/views/common/_tabs.html.erb:17:in `block in app_views_common_tabs_html_erb__2847937481298590006_70196362863400'

app/views/common/_tabs.html.erb:16:in `each'

app/views/common/_tabs.html.erb:16:in `_app_views_common__tabs_html_erb__2847937481298590006_70196362863400'

app/helpers/application_helper.rb:345:in `render_tabs'

app/views/projects/settings.html.erb:3:in `_app_views_projects_settings_html_erb__982224954120235063_70196362840320'

lib/redmine/sudo_mode.rb:63:in `sudo_mode'

History

#1 - 2018-09-13 20:33 - Marius BĂLTEANU

- Status changed from New to Needs feedback

Did you try to update your Redmine instance from a version to the latest? If yes, did you run the database migrations?

#2 - 2018-09-17 02:09 - Go MAEDA

- Subject changed from Erro in project settings  to Error in project settings 

- Status changed from Needs feedback to Closed

- Resolution set to Invalid
https://www.redmine.org/users/11497


RedmineUpgrade may help you. Please use forums for further questions.
https://www.redmine.org/projects/redmine/wiki/RedmineUpgrade#Step-4-Update-the-database
